Bug 191249 - [PATCH] net/bmon: Update to 3.3, Take maintainership
Summary: [PATCH] net/bmon: Update to 3.3, Take maintainership
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Kubilay Kocak
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-06-21 17:25 UTC by Michelle Sullivan
Modified: 2014-07-08 23:54 UTC (History)
3 users (show)

See Also:


Attachments
shar of the new port as per porters handbook (2.27 KB, application/x-shar)
2014-06-21 17:25 UTC, Michelle Sullivan
no flags Details
Patch against bmon (3.35 KB, patch)
2014-07-02 23:47 UTC, Michelle Sullivan
no flags Details | Diff
New patch against the port... (4.27 KB, patch)
2014-07-07 08:10 UTC, Michelle Sullivan
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Michelle Sullivan 2014-06-21 17:25:26 UTC
Created attachment 144002 [details]
shar of the new port as per porters handbook

Latest version of net/bmon - directly from GIT, staged ... so net/bmon-devel rather than the current unstaged package..  (Putting hand up as the maintainer)
Comment 1 Kubilay Kocak freebsd_committer freebsd_triage 2014-06-22 09:19:38 UTC
I'll take it.
Comment 2 nistor 2014-06-22 19:42:54 UTC
Hi everyone, please feel free to have someone else take over the maintainer role, I don't have the time to keep track of these anymore and it would not be a good idea to have someone inactive managing it.

Thank you!
Comment 3 Michelle Sullivan 2014-06-22 20:29:08 UTC
*Puts hand up* ...  :)
Comment 4 Michelle Sullivan 2014-06-22 20:32:22 UTC
Koobs, if you want to put the shar I created in bmon-devel as just bmon, feel free.  If you need me to create a diff just let me know.

Michelle.
Comment 5 Kubilay Kocak freebsd_committer freebsd_triage 2014-06-27 09:24:38 UTC
Michelle, could you attach a second patch with the following changes please:

 * svn diff against bmon (not bmon-devel)
 * Remove CONFLICTS and PKGNAMESUFFIX accordingly

Review on the existing shar:

 * DISTNAME override shouldn't be necessary with USE_GITHUB=yes
 * COMMENT should not contain pkgname, indefinite articles (a) or end with a full stop. See: http://www2.au.freebsd.org/doc/en_US.ISO8859-1/books/porters-handbook/book.html#makefile-comment
 * Is DIST_SUBDIR necessary? Are there lots of bmon plugins? If so, ignore.
 * Use long names for AUTOMAKE_ARGS (rather than -fa)

Please also confirm this passes QA for:

 * portlint (use pedantic flags), fix any warnings
 * redports, poudriere or `port test` (from porttools, with 1 of the first 2 preferred)
Comment 6 Michelle Sullivan 2014-07-02 23:47:04 UTC
Created attachment 144360 [details]
Patch against bmon

Think that should do it...

root@flashback:/usr/ports/net/bmon # portlint -AC
FATAL: Makefile: [2]: header should be followed by $FreeBSD$.
FATAL: Makefile: no $FreeBSD$ line in comment section.
root@flashback:/usr/ports/net/bmon #
Comment 7 Kubilay Kocak freebsd_committer freebsd_triage 2014-07-07 02:51:55 UTC
Review:

 * Shorter COMMENT would be preferable (Github repo tagline is "bandwidth monitor and rate estimator"
 * Did you intend to remove OPTIONS? Are they still relevant and valuable for users?
 * MASTER_SITES is not required when USE_GITHUB=yes
 * GH_PROJECT defaults to PORTNAME (bmon), not required.
 * Github Repository has a tag for 3.2 (v3.2) please use this this in GH_TAGNAME
 * pkg-descr looks like its missing the WWW: URL
 * Leave the # $FreeBSD: and "Created by" lines in place since it's not strictly a new port
Comment 8 Michelle Sullivan 2014-07-07 08:10:58 UTC
Created attachment 144475 [details]
New patch against the port...


I don't see configure options in the project... if people want to use RRD with it, they use the 'format' output module (which is not optionally compilable.)

the GH stuff was copied from another (commited) port so thought it was required... happy to change it.... however....

The reason I used the GH_TAGNAME instead of 3.2 is the 3.2 will not compile on FreeBSD where as the tagged revision is specific to non-Linux...I used it so there will be less confusion (even though it should be just presented to FreeBSD users anyhow)... happy to change it, but thought it would be less confusing if anyone went looking for new versions (eg the person requesting the new versions got it wrong until I explained that the specific tag was required for non-Linux)... and in the download it shows:

===>  License MIT accepted by the user
===>  Found saved configuration for bmon-3.2
=> bmon-3.2.tar.gz doesn't seem to exist in /usr/ports/distfiles/.
=> Attempting to fetch http://mirrors.service.softlayer.com/freebsd/distfiles//bmon-3.2.tar.gz
fetch: http://mirrors.service.softlayer.com/freebsd/distfiles//bmon-3.2.tar.gz: Not Found
=> Attempting to fetch https://codeload.github.com/tgraf/bmon/legacy.tar.gz/3.2?dummy=/bmon-3.2.tar.gz
fetch: https://codeload.github.com/tgraf/bmon/legacy.tar.gz/3.2?dummy=/bmon-3.2.tar.gz: Not Found
=> Attempting to fetch http://codeload.github.com/tgraf/bmon/legacy.tar.gz/3.2?dummy=/bmon-3.2.tar.gz
fetch: http://codeload.github.com/tgraf/bmon/legacy.tar.gz/3.2?dummy=/bmon-3.2.tar.gz: Operation timed out
=> Attempting to fetch http://distcache.FreeBSD.org/ports-distfiles/bmon-3.2.tar.gz
fetch: http://distcache.FreeBSD.org/ports-distfiles/bmon-3.2.tar.gz: Not Found
=> Couldn't fetch it - please try to retrieve this
=> port manually into /usr/ports/distfiles/ and try again.
*** [do-fetch] Error code 1

Stop in /usr/ports/net/bmon.
*** [stage] Error code 1

Stop in /usr/ports/net/bmon.


Where as with GH_COMMIT:

===>  License MIT accepted by the user
===>  Found saved configuration for bmon-3.2
=> bmon-3.2.tar.gz doesn't seem to exist in /usr/ports/distfiles/.
=> Attempting to fetch http://mirrors.service.softlayer.com/freebsd/distfiles//bmon-3.2.tar.gz
fetch: http://mirrors.service.softlayer.com/freebsd/distfiles//bmon-3.2.tar.gz: Not Found
=> Attempting to fetch https://codeload.github.com/tgraf/bmon/legacy.tar.gz/b34be16?dummy=/bmon-3.2.tar.gz
fetch: https://codeload.github.com/tgraf/bmon/legacy.tar.gz/b34be16?dummy=/bmon-3.2.tar.gz: size unknown
fetch: https://codeload.github.com/tgraf/bmon/legacy.tar.gz/b34be16?dummy=/bmon-3.2.tar.gz: size of remote file is not known
bmon-3.2.tar.gz                                         55 kB  335 kBps
===> Fetching all distfiles required by bmon-3.2 for building
===>  Extracting for bmon-3.2
=> SHA256 Checksum OK for bmon-3.2.tar.gz.
===>  Patching for bmon-3.2
===>  Applying FreeBSD patches for bmon-3.2

(yes I know it op-timed out - however you notice it tried to get the release not the specific tag - this would break it)

It is missing the WWW: URL (didn't know it was required - corrected in the following patch...)

the FreeBSD/Created tags removed are because it was originally made as a new port... I've put them back in for the following patch.
Comment 9 Kubilay Kocak freebsd_committer freebsd_triage 2014-07-07 08:38:26 UTC
The bmon repo uses 'v3.2' as the tag name as mentioned in my last comment not '3.2'. Note the 'v' prefix.

fetch: https://codeload.github.com/tgraf/bmon/legacy.tar.gz/3.2?dummy=/bmon-3.2.tar.gz: Not Found

Note the missing 'v' prefix above just before ?dummy.

You would have seen this error if you set GH_TAGNAME=${PORTVERSION} or GH_TAGNAME=3.2

What you want is:

GH_TAGNAME=v${PORTVERSION}
GH_COMMIT=<commithash>

I also note that 3.3 has been released in the last 21 hours, would you like me update your patch to suit?
Comment 10 Michelle Sullivan 2014-07-07 08:40:13 UTC
I'll give both 3.3 (v3.3) and the new release a try to see if it works.

Will let you know later today.
Comment 11 Kubilay Kocak freebsd_committer freebsd_triage 2014-07-07 08:44:23 UTC
On IRC if you have any questions or need me for anything
Comment 12 Michelle Sullivan 2014-07-07 09:13:20 UTC
Everything breaks in 3.3 again :/ (going to take some work)

There is a problem with using the tagname as you suggest - i get a compile failure for 3.3 (haven't tested with 3.2) ... it breaks $WRKSRC..

with v3.3 the download works correctly, however it makes WRKSRC:

work/tgraf-bmon-<committag in the dist> (which as the 3.2 version was an additional patch it means you get 2 directories and that fails as autoconf tries to run here:  work/tgraf-bmon-<committag in the dist> rather than here: work/tgraf-bmon-${GH_COMMIT}

Michelle
Comment 13 commit-hook freebsd_committer 2014-07-07 12:29:44 UTC
A commit references this bug:

Author: koobs
Date: Mon Jul  7 12:29:21 UTC 2014
New revision: 361060
URL: http://svnweb.freebsd.org/changeset/ports/361060

Log:
  net/bmon: Update to 3.3, Update MAINTAINER

  - Update to 3.3
  - Assign new maintainer
  - Update pkg-plist
  - Update pkg-descr and WWW: URL
  - Tweak COMMENT
  - Add LICENSE (MIT)
  - Remove OPTIONS
  - Use Github for distribution files
  - Remove MASTER_SITES accordingly
  - Remove unecessary patches (files no longer upstream)

  PR:		191249
  Submitted by:	Michelle Sullivan <michelle at sorbs dot net>
  Approved by:	maintainer

Changes:
  head/net/bmon/Makefile
  head/net/bmon/distinfo
  head/net/bmon/files/
  head/net/bmon/pkg-descr
  head/net/bmon/pkg-plist